"use strict";
var __extends = (this && this.__extends) || (function () {
    var extendStatics = Object.setPrototypeOf ||
        ({ __proto__: [] } instanceof Array && function (d, b) { d.__proto__ = b; }) ||
        function (d, b) { for (var p in b) if (b.hasOwnProperty(p)) d[p] = b[p]; };
    return function (d, b) {
        extendStatics(d, b);
        function __() { this.constructor = d; }
        d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
    };
})();
Object.defineProperty(exports, "__esModule", { value: true });
var core_1 = require("@angular/core");
var web_storage_1 = require("@ng2plus/web-storage");
var storage_service_1 = require("./storage.service");
var SessionStorageService = (function (_super) {
    __extends(SessionStorageService, _super);
    function SessionStorageService(service) {
        var _this = _super.call(this, service) || this;
        _this.service = service;
        return _this;
    }
    SessionStorageService.prototype.getWebStorageConfig = function () {
        return {
            prefix: this.prefix,
            provider: 'sessionStorage'
        };
    };
    return SessionStorageService;
}(storage_service_1.StorageService));
SessionStorageService.decorators = [
    { type: core_1.Injectable },
];
/** @nocollapse */
SessionStorageService.ctorParameters = function () { return [
    { type: web_storage_1.WebStorageService, },
]; };
exports.SessionStorageService = SessionStorageService;
//# sourceMappingURL=session-storage.service.js.map