import { WebStorageService } from '@ng2plus/web-storage';
export declare abstract class StorageService {
    private webStorageService;
    protected prefix: string;
    constructor(webStorageService: WebStorageService);
    abstract getWebStorageConfig(): any;
    usePrefix(prefix: string): void;
    put(key: string, value: any): void;
    get(key: string): any;
    remove(key: string): void;
    removeStartsWith(startWith: string): void;
}
