"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var core_1 = require("@angular/core");
var preferences_service_1 = require("./preferences.service");
var session_storage_service_1 = require("./session-storage.service");
var web_storage_1 = require("@ng2plus/web-storage");
var local_storage_service_1 = require("./local-storage.service");
function getWebStorageService() {
    var wsc = {
        prefix: 'Systelab'
    };
    var wss = new web_storage_1.WebStorageService(wsc);
    return wss;
}
exports.getWebStorageService = getWebStorageService;
var SystelabPreferencesModule = (function () {
    function SystelabPreferencesModule() {
    }
    SystelabPreferencesModule.forRoot = function (entryComponents) {
        return {
            ngModule: SystelabPreferencesModule,
            providers: [
                { provide: preferences_service_1.PreferencesService, useClass: preferences_service_1.PreferencesService },
                { provide: session_storage_service_1.SessionStorageService, useClass: session_storage_service_1.SessionStorageService },
                { provide: local_storage_service_1.LocalStorageService, useClass: local_storage_service_1.LocalStorageService },
                { provide: web_storage_1.WebStorageService, useFactory: getWebStorageService }
            ]
        };
    };
    return SystelabPreferencesModule;
}());
SystelabPreferencesModule.decorators = [
    { type: core_1.NgModule, args: [{},] },
];
/** @nocollapse */
SystelabPreferencesModule.ctorParameters = function () { return []; };
exports.SystelabPreferencesModule = SystelabPreferencesModule;
//# sourceMappingURL=systelab-preferences.module.js.map